Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 15383

Description

On QGIS 1.8, when classifying data on numerical values, the assistant uses 4 decimals by default, even if data is stored with on or two

decimals. 

This is time consuming to manually correct displayed class labels. See images attached

If real values have more than 4 decimal, it seems ok to mee to truncate.

History

#1 - 2012-09-04 12:07 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#2 - 2012-10-06 02:25 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#3 - 2014-05-07 12:42 PM - Simon Dedman

+1 for this. It would be nice to have an input field for the number of decimal places the users wants (or an up/down arrow which displays the number) AND

a radio button saying something like "tie to most precise value" so if the users data are all integers, 0dp, if they're mostly 1dp but one is 2dp, it's 2dp, etc.

#4 - 2014-05-16 08:52 AM - Antonio Locandro

Agreed,

Also please notice what happens to 44.1200 it is on two classes, really it should go 

- 44.1200

44.1201 -

This would depend on the number of decimals of course

#5 - 2014-05-19 12:11 AM - Regis Haubourg

Can anyone raise the priority to high. I think that QGis is become a real professional tool for mapping now. Also, this will let that issue come in my  

immediate funding list.

Cheers, 

Régis

#6 - 2014-05-19 08:21 AM - Giovanni Manghi

- Category set to Symbology

- Target version changed from Future Release - Nice to have to Future Release - High Priority
- Priority changed from Low to Normal

#7 - 2014-05-19 08:37 AM - Regis Haubourg

thx!

#8 - 2014-10-27 06:02 AM - Nathan Woodrow

- Resolution set to fixed/implemented

- Status changed from Open to Closed

You can now be controlled in 2.6
